--- a/arch/arm/boot/dts/kirkwood-c200-v1.dts
+++ b/arch/arm/boot/dts/kirkwood-c200-v1.dts
@@ -14,6 +14,14 @@
 	model = "Ctera C200 V1";
 	compatible = "ctera,c200-v1", "marvell,kirkwood-88f6281", "marvell,kirkwood";
 
+
+	aliases {
+		led-boot = &led_status_green;
+		led-failsafe = &led_status_red;
+		led-running = &led_status_green;
+		led-upgrade = &led_status_red;
+	};
+
 	chosen {
 		bootargs = "console=ttyS0,115200";
 		stdout-path = &uart0;
@@ -78,6 +86,7 @@
 			function-enumerator = <1>;
 			color = <LED_COLOR_ID_GREEN>;
 			gpios = <&gpio0 15 GPIO_ACTIVE_LOW>;
+			linux,default-trigger = "ata1";
 		};
 
 		led-2 {
@@ -85,6 +94,7 @@
 			function-enumerator = <2>;
 			color = <LED_COLOR_ID_GREEN>;
 			gpios = <&gpio0 16 GPIO_ACTIVE_LOW>;
+			linux,default-trigger = "ata2";
 		};
 
 		led-3 {
@@ -94,13 +104,15 @@
 			gpios = <&gpio0 17 GPIO_ACTIVE_LOW>;
 		};
 
-		led-4 {
+		led_status_red: led-4 {
+			label = "red:status";
 			function = LED_FUNCTION_STATUS;
 			color = <LED_COLOR_ID_RED>;
 			gpios = <&gpio1 6 GPIO_ACTIVE_LOW>;
 		};
 
-		led-5 {
+		led_status_green: led-5 {
+			label = "green:status";
 			function = LED_FUNCTION_STATUS;
 			color = <LED_COLOR_ID_GREEN>;
 			gpios = <&gpio1 7 GPIO_ACTIVE_LOW>;
@@ -240,7 +252,7 @@
 	};
 
 	partition@7a00000 {
-		label = "rootfs";
+		label = "ubi";
 		reg = <0x7a00000 0x8600000>;
 	};
 };
